# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class PhotoEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.photos.GphotoEntry<PhotoEntry>
                          com.google.gdata.data.photos.PhotoEntry

All Implemented Interfaces:
  Extension, BoxData, PointData, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry, AtomData, Extensible, GphotoData, MediaData, PhotoData

    public class PhotoEntry

extends GphotoEntry<PhotoEntry>
implements AtomData, PhotoData

Entry for photo kinds, contains photo metadata.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Photo kind category.
`static java.lang.String` `KIND` Photo kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Fields inherited from interface com.google.gdata.data.photos.PhotoData
`PHOTO_CATEGORY, PHOTO_KIND`

Constructor Summary
`PhotoEntry()` Default mutable constructor.
`PhotoEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addStreamId(java.lang.String streamId)` Add an individual streamId to the photo.
`void` `addStreamIdsExt(GphotoStreamId streamIdsExt)` Adds a new the streamIds on this photo.
`void` `clearGeoBoundingBox()` Clears the bounding box and removes the extension point.
`void` `clearPoint()` Clears the point data and removes the extension point.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.String` `getAlbumAccess()`
`GphotoAccess` `getAlbumAccessExt()` Returns the access level for the album.
`java.lang.String` `getAlbumId()` The id of the album the photo is on.
`GphotoAlbumId` `getAlbumIdExt()` Returns the album ID of the album this photo is in.
`java.lang.String` `getChecksum()` The checksum on the photo.
`GphotoChecksum` `getChecksumExt()` Returns the the checksum for the photo provided by the client.
`java.lang.String` `getClient()` The client string stored on the photo.
`GphotoClient` `getClientExt()` Returns the the client that uploaded the photo.
`java.lang.Integer` `getCommentCount()` The number of comments on this photo.
`GphotoCommentCount` `getCommentCountExt()` Returns the the count of comments on this photo.
`java.lang.Boolean` `getCommentsEnabled()` Gets the status of the commenting preference on the photo.
`GphotoCommentsEnabled` `getCommentsEnabledExt()` Returns the whether comments are enabled on this photo.
`ExifTags` `getExifTags()` Returns the the exif information on the photo.
`java.util.Date` `getFeaturedDate()`
`GphotoFeaturedDate` `getFeaturedDateExt()` Returns the datetime in unix timestamp format for when the photo was featured.
`PhotoFeed` `getFeed(java.lang.String... kinds)` Retrieve the photo feed and associated entries.
`Box` `getGeoBoundingBox()` Gets the bounding box of this entity.
`Point` `getGeoLocation()` Gets the geo-location of the entity.
`W3CPoint` `getGeoPoint()` Returns the geolocation as a geo:point.
`GeoRssBox` `getGeoRssBox()` Returns the geo bounding box as a georss:box.
`GeoRssPoint` `getGeoRssPoint()` Returns the geolocation as a georss:point.
`GeoRssWhere` `getGeoRssWhere()` Returns the geolocation as a georss:where.
`GmlEnvelope` `getGmlEnvelope()` Returns the geo bounding box as a gml:Envelope.
`GmlPoint` `getGmlPoint()` Returns the geolocation as a gml:point.
`java.lang.Long` `getHeight()` The height of the photo in pixels.
`GphotoHeight` `getHeightExt()` Returns the the height of the photo.
`GphotoImageVersion` `getImageVersionExt()` Returns the the version of the image bytes.
`java.util.List<MediaCategory>` `getMediaCategories()` Retrieve the list of media:category elements inside the media:group on this element.
`java.util.List<MediaContent>` `getMediaContents()` Retrieve the list of media:content elements inside the media:group on this element.
`java.util.List<MediaCredit>` `getMediaCredits()` Retrieve the list of media:credit elements inside the media:group on this element.
`MediaGroup` `getMediaGroup()` Returns the mediarss group for media metadata.
`MediaKeywords` `getMediaKeywords()` Retrieve the list of media:keywords elements inside the media:group on this element.
`java.util.List<MediaThumbnail>` `getMediaThumbnails()` Retrieve the list of media:thumbnail elements inside the media:group on this element.
`GphotoOriginalVideo` `getOriginalVideo()` Returns the the properties of the original video.
`java.lang.Float` `getPosition()` The position of the photo in the album.
`GphotoPosition` `getPositionExt()` Returns the position of the photo in its album.
`java.lang.Integer` `getRotation()` The rotation of the photo.
`GphotoRotation` `getRotationExt()` Returns the the rotation of the photo in degrees.
`java.lang.Long` `getSize()` The size of the photo in bytes.
`GphotoSize` `getSizeExt()` Returns the the size of the photo in bytes.
`GphotoStarred` `getStarredExt()` Returns the if viewer starred the photo and total number of stars.
`java.util.List<java.lang.String>` `getStreamIds()` Stream ids can be used to specify additional information about where a photo came from, or where it is being used.
`java.util.List<GphotoStreamId>` `getStreamIdsExt()` Returns the the streamIds on this photo.
`java.util.Date` `getTimestamp()` The time the photo was taken.
`GphotoTimestamp` `getTimestampExt()` Returns the the time the photo was taken.
`java.lang.Integer` `getTotalStars()` The number of users who starred this photo.
`java.lang.Long` `getVersion()` The version of the image.
`GphotoVersion` `getVersionExt()` Returns the version of the photo metadata.
`java.lang.String` `getVideoStatus()` The video status in case the photo entry is a video.
`GphotoVideoStatus` `getVideoStatusExt()` Returns the the status of the video upload if this is a video.
`java.lang.Long` `getViewCount()`
`GphotoViewCount` `getViewCountExt()` Returns the the number of views for this image.
`java.lang.Long` `getWidth()` The width of the photo in pixels.
`GphotoWidth` `getWidthExt()` Returns the the width of the photo.
`boolean` `hasAlbumAccessExt()` Returns whether it has the access level for the album.
`boolean` `hasAlbumIdExt()` Returns whether it has the album ID of the album this photo is in.
`boolean` `hasChecksumExt()` Returns whether it has the the checksum for the photo provided by the client.
`boolean` `hasClientExt()` Returns whether it has the the client that uploaded the photo.
`boolean` `hasCommentCountExt()` Returns whether it has the the count of comments on this photo.
`boolean` `hasCommentsEnabledExt()` Returns whether it has the whether comments are enabled on this photo.
`boolean` `hasExifTags()` Returns whether it has the the exif information on the photo.
`boolean` `hasFeaturedDateExt()` Returns whether it has the datetime in unix timestamp format for when the photo was featured.
`boolean` `hasGeoPoint()` Returns whether it has the geolocation as a geo:point.
`boolean` `hasGeoRssBox()` Returns whether it has the geo bounding box as a georss:box.
`boolean` `hasGeoRssPoint()` Returns whether it has the geolocation as a georss:point.
`boolean` `hasGeoRssWhere()` Returns whether it has the geolocation as a georss:where.
`boolean` `hasGmlEnvelope()` Returns whether it has the geo bounding box as a gml:Envelope.
`boolean` `hasGmlPoint()` Returns whether it has the geolocation as a gml:point.
`boolean` `hasHeightExt()` Returns whether it has the the height of the photo.
`boolean` `hasImageVersionExt()` Returns whether it has the the version of the image bytes.
`boolean` `hasMediaGroup()` Returns whether it has the mediarss group for media metadata.
`boolean` `hasOriginalVideo()` Returns whether it has the the properties of the original video.
`boolean` `hasPositionExt()` Returns whether it has the position of the photo in its album.
`boolean` `hasRotationExt()` Returns whether it has the the rotation of the photo in degrees.
`boolean` `hasSizeExt()` Returns whether it has the the size of the photo in bytes.
`boolean` `hasStarredExt()` Returns whether it has the if viewer starred the photo and total number of stars.
`boolean` `hasStreamIdsExt()` Returns whether it has the the streamIds on this photo.
`boolean` `hasTimestampExt()` Returns whether it has the the time the photo was taken.
`boolean` `hasVersionExt()` Returns whether it has the version of the photo metadata.
`boolean` `hasVideoStatusExt()` Returns whether it has the the status of the video upload if this is a video.
`boolean` `hasViewCountExt()` Returns whether it has the the number of views for this image.
`boolean` `hasWidthExt()` Returns whether it has the the width of the photo.
`java.lang.Boolean` `isStarred()` If this photo is starred by current user.
`void` `setAlbumAccess(java.lang.String access)` Set the access for the album that contains this photo.
`void` `setAlbumAccessExt(GphotoAccess albumAccessExt)` Sets the access level for the album.
`void` `setAlbumId(java.lang.Long albumId)` Sets the id of the album the photo is in.
`void` `setAlbumId(java.lang.String albumId)` Set the albumId of the photo as a string, the album the photo is in.
`void` `setAlbumIdExt(GphotoAlbumId albumIdExt)` Sets the album ID of the album this photo is in.
`void` `setChecksum(java.lang.String checksum)` Set the checksum of the photo.
`void` `setChecksumExt(GphotoChecksum checksumExt)` Sets the the checksum for the photo provided by the client.
`void` `setClient(java.lang.String client)` Set the client string on the photo.
`void` `setClientExt(GphotoClient clientExt)` Sets the the client that uploaded the photo.
`void` `setCommentCount(java.lang.Integer commentCount)` Set the number of comments on the photo.
`void` `setCommentCountExt(GphotoCommentCount commentCountExt)` Sets the the count of comments on this photo.
`void` `setCommentsEnabled(java.lang.Boolean commentsEnabled)` Sets whether comments can be made on the photo.
`void` `setCommentsEnabledExt(GphotoCommentsEnabled commentsEnabledExt)` Sets the whether comments are enabled on this photo.
`void` `setExifTags(ExifTags exifTags)` Sets the the exif information on the photo.
`void` `setFeaturedDate(java.util.Date featuredDate)` Sets the date that the photo was featured.
`void` `setFeaturedDateExt(GphotoFeaturedDate featuredDateExt)` Sets the datetime in unix timestamp format for when the photo was featured.
`void` `setGeoBoundingBox(Box boundingBox)` Sets the bounding box for this entity based on a `Box` extension.
`void` `setGeoBoundingBox(Point lowerLeft, Point upperRight)` Sets the bounding box based on two `Point` objects.
`void` `setGeoLocation(java.lang.Double lat, java.lang.Double lon)` Sets the geo-location of the entity based on the lat and long coordinates passed in.
`void` `setGeoLocation(Point point)` Sets the geo-location of the entity based on the Point extension.
`void` `setGeoPoint(W3CPoint geoPoint)` Sets the geolocation as a geo:point.
`void` `setGeoRssBox(GeoRssBox geoRssBox)` Sets the geo bounding box as a georss:box.
`void` `setGeoRssPoint(GeoRssPoint geoRssPoint)` Sets the geolocation as a georss:point.
`void` `setGeoRssWhere(GeoRssWhere geoRssWhere)` Sets the geolocation as a georss:where.
`void` `setGmlEnvelope(GmlEnvelope gmlEnvelope)` Sets the geo bounding box as a gml:Envelope.
`void` `setGmlPoint(GmlPoint gmlPoint)` Sets the geolocation as a gml:point.
`void` `setHeight(java.lang.Long height)` Set the height of the photo.
`void` `setHeightExt(GphotoHeight heightExt)` Sets the the height of the photo.
`void` `setImageVersionExt(GphotoImageVersion imageVersionExt)` Sets the the version of the image bytes.
`void` `setKeywords(MediaKeywords keywords)` Set the media keywords on this element to the given keywords.
`void` `setMediaGroup(MediaGroup mediaGroup)` Sets the mediarss group for media metadata.
`void` `setOriginalVideo(GphotoOriginalVideo originalVideo)` Sets the the properties of the original video.
`void` `setPosition(java.lang.Float position)` Set the position of the photo.
`void` `setPositionExt(GphotoPosition positionExt)` Sets the position of the photo in its album.
`void` `setRotation(java.lang.Integer rotation)` Set the rotation in degrees of the photo.
`void` `setRotationExt(GphotoRotation rotationExt)` Sets the the rotation of the photo in degrees.
`void` `setSize(java.lang.Long size)` Set the size of the photo.
`void` `setSizeExt(GphotoSize sizeExt)` Sets the the size of the photo in bytes.
`void` `setStarred(java.lang.Boolean starred)` Sets if this photo is starred by current user.
`void` `setStarredExt(GphotoStarred starredExt)` Sets the if viewer starred the photo and total number of stars.
`void` `setTimestamp(java.util.Date timestamp)` Set the timestamp on the photo.
`void` `setTimestampExt(GphotoTimestamp timestampExt)` Sets the the time the photo was taken.
`void` `setTotalStars(java.lang.Integer totalStars)` Sets the number of users who starred this photo.
`void` `setVersion(java.lang.Long version)` Set the version of the photo.
`void` `setVersionExt(GphotoVersion versionExt)` Sets the version of the photo metadata.
`void` `setVideoStatus(java.lang.String videoStatus)` Set the video status of the photo entry.
`void` `setVideoStatusExt(GphotoVideoStatus videoStatusExt)` Sets the the status of the video upload if this is a video.
`void` `setViewCount(java.lang.Long viewCount)` Sets the view count for this photo.
`void` `setViewCountExt(GphotoViewCount viewCountExt)` Sets the the number of views for this image.
`void` `setWidth(java.lang.Long width)` Set the width of the photo.
`void` `setWidthExt(GphotoWidth widthExt)` Sets the the width of the photo.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.photos.GphotoEntry
`generateRss, getAdaptedEntry, getDescription, getFeed, getFeedLink, getGphotoId, setDescription, setGphotoId, setGphotoId`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getDescription, getId, getLinks, getRights, getTitle, getUpdated, setDescription, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Photo kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Photo kind category.

Constructor Detail

### PhotoEntry

    public PhotoEntry()

  Default mutable constructor.

### PhotoEntry

    public PhotoEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoEntry<PhotoEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAlbumAccessExt

    public GphotoAccess getAlbumAccessExt()

  Returns the access level for the album.

  Returns:
    access level for the album

### setAlbumAccessExt

    public void setAlbumAccessExt(GphotoAccess albumAccessExt)

  Sets the access level for the album.

  Parameters:
    `albumAccessExt` - access level for the album or `null` to reset

### hasAlbumAccessExt

    public boolean hasAlbumAccessExt()

  Returns whether it has the access level for the album.

  Returns:
    whether it has the access level for the album

### getAlbumIdExt

    public GphotoAlbumId getAlbumIdExt()

  Returns the album ID of the album this photo is in.

  Returns:
    album ID of the album this photo is in

### setAlbumIdExt

    public void setAlbumIdExt(GphotoAlbumId albumIdExt)

  Sets the album ID of the album this photo is in.

  Parameters:
    `albumIdExt` - album ID of the album this photo is in or `null` to reset

### hasAlbumIdExt

    public boolean hasAlbumIdExt()

  Returns whether it has the album ID of the album this photo is in.

  Returns:
    whether it has the album ID of the album this photo is in

### getChecksumExt

    public GphotoChecksum getChecksumExt()

  Returns the the checksum for the photo provided by the client.

  Returns:
    the checksum for the photo provided by the client

### setChecksumExt

    public void setChecksumExt(GphotoChecksum checksumExt)

  Sets the the checksum for the photo provided by the client.

  Parameters:
    `checksumExt` - the checksum for the photo provided by the client or `null` to reset

### hasChecksumExt

    public boolean hasChecksumExt()

  Returns whether it has the the checksum for the photo provided by the client.

  Returns:
    whether it has the the checksum for the photo provided by the client

### getClientExt

    public GphotoClient getClientExt()

  Returns the the client that uploaded the photo.

  Returns:
    the client that uploaded the photo

### setClientExt

    public void setClientExt(GphotoClient clientExt)

  Sets the the client that uploaded the photo.

  Parameters:
    `clientExt` - the client that uploaded the photo or `null` to reset

### hasClientExt

    public boolean hasClientExt()

  Returns whether it has the the client that uploaded the photo.

  Returns:
    whether it has the the client that uploaded the photo

### getCommentCountExt

    public GphotoCommentCount getCommentCountExt()

  Returns the the count of comments on this photo.

  Returns:
    the count of comments on this photo

### setCommentCountExt

    public void setCommentCountExt(GphotoCommentCount commentCountExt)

  Sets the the count of comments on this photo.

  Parameters:
    `commentCountExt` - the count of comments on this photo or `null` to reset

### hasCommentCountExt

    public boolean hasCommentCountExt()

  Returns whether it has the the count of comments on this photo.

  Returns:
    whether it has the the count of comments on this photo

### getCommentsEnabledExt

    public GphotoCommentsEnabled getCommentsEnabledExt()

  Returns the whether comments are enabled on this photo.

  Returns:
    whether comments are enabled on this photo

### setCommentsEnabledExt

    public void setCommentsEnabledExt(GphotoCommentsEnabled commentsEnabledExt)

  Sets the whether comments are enabled on this photo.

  Parameters:
    `commentsEnabledExt` - whether comments are enabled on this photo or `null` to reset

### hasCommentsEnabledExt

    public boolean hasCommentsEnabledExt()

  Returns whether it has the whether comments are enabled on this photo.

  Returns:
    whether it has the whether comments are enabled on this photo

### getExifTags

    public ExifTags getExifTags()

  Returns the the exif information on the photo.

  Specified by:
    `getExifTags` in interface `PhotoData`
  Returns:
    the exif information on the photo

### setExifTags

    public void setExifTags(ExifTags exifTags)

  Sets the the exif information on the photo.

  Specified by:
    `setExifTags` in interface `PhotoData`
  Parameters:
    `exifTags` - the exif information on the photo or `null` to reset

### hasExifTags

    public boolean hasExifTags()

  Returns whether it has the the exif information on the photo.

  Returns:
    whether it has the the exif information on the photo

### getFeaturedDateExt

    public GphotoFeaturedDate getFeaturedDateExt()

  Returns the datetime in unix timestamp format for when the photo was featured.

  Returns:
    datetime in unix timestamp format for when the photo was featured

### setFeaturedDateExt

    public void setFeaturedDateExt(GphotoFeaturedDate featuredDateExt)

  Sets the datetime in unix timestamp format for when the photo was featured.

  Parameters:
    `featuredDateExt` - datetime in unix timestamp format for when the photo was featured or `null` to reset

### hasFeaturedDateExt

    public boolean hasFeaturedDateExt()

  Returns whether it has the datetime in unix timestamp format for when the photo was featured.

  Returns:
    whether it has the datetime in unix timestamp format for when the photo was featured

### getGeoPoint

    public W3CPoint getGeoPoint()

  Returns the geolocation as a geo:point.

  Returns:
    geolocation as a geo:point

### setGeoPoint

    public void setGeoPoint(W3CPoint geoPoint)

  Sets the geolocation as a geo:point.

  Parameters:
    `geoPoint` - geolocation as a geo:point or `null` to reset

### hasGeoPoint

    public boolean hasGeoPoint()

  Returns whether it has the geolocation as a geo:point.

  Returns:
    whether it has the geolocation as a geo:point

### getGeoRssBox

    public GeoRssBox getGeoRssBox()

  Returns the geo bounding box as a georss:box.

  Returns:
    geo bounding box as a georss:box

### setGeoRssBox

    public void setGeoRssBox(GeoRssBox geoRssBox)

  Sets the geo bounding box as a georss:box.

  Parameters:
    `geoRssBox` - geo bounding box as a georss:box or `null` to reset

### hasGeoRssBox

    public boolean hasGeoRssBox()

  Returns whether it has the geo bounding box as a georss:box.

  Returns:
    whether it has the geo bounding box as a georss:box

### getGeoRssPoint

    public GeoRssPoint getGeoRssPoint()

  Returns the geolocation as a georss:point.

  Returns:
    geolocation as a georss:point

### setGeoRssPoint

    public void setGeoRssPoint(GeoRssPoint geoRssPoint)

  Sets the geolocation as a georss:point.

  Parameters:
    `geoRssPoint` - geolocation as a georss:point or `null` to reset

### hasGeoRssPoint

    public boolean hasGeoRssPoint()

  Returns whether it has the geolocation as a georss:point.

  Returns:
    whether it has the geolocation as a georss:point

### getGeoRssWhere

    public GeoRssWhere getGeoRssWhere()

  Returns the geolocation as a georss:where.

  Returns:
    geolocation as a georss:where

### setGeoRssWhere

    public void setGeoRssWhere(GeoRssWhere geoRssWhere)

  Sets the geolocation as a georss:where.

  Parameters:
    `geoRssWhere` - geolocation as a georss:where or `null` to reset

### hasGeoRssWhere

    public boolean hasGeoRssWhere()

  Returns whether it has the geolocation as a georss:where.

  Returns:
    whether it has the geolocation as a georss:where

### getGmlEnvelope

    public GmlEnvelope getGmlEnvelope()

  Returns the geo bounding box as a gml:Envelope.

  Returns:
    geo bounding box as a gml:Envelope

### setGmlEnvelope

    public void setGmlEnvelope(GmlEnvelope gmlEnvelope)

  Sets the geo bounding box as a gml:Envelope.

  Parameters:
    `gmlEnvelope` - geo bounding box as a gml:Envelope or `null` to reset

### hasGmlEnvelope

    public boolean hasGmlEnvelope()

  Returns whether it has the geo bounding box as a gml:Envelope.

  Returns:
    whether it has the geo bounding box as a gml:Envelope

### getGmlPoint

    public GmlPoint getGmlPoint()

  Returns the geolocation as a gml:point.

  Returns:
    geolocation as a gml:point

### setGmlPoint

    public void setGmlPoint(GmlPoint gmlPoint)

  Sets the geolocation as a gml:point.

  Parameters:
    `gmlPoint` - geolocation as a gml:point or `null` to reset

### hasGmlPoint

    public boolean hasGmlPoint()

  Returns whether it has the geolocation as a gml:point.

  Returns:
    whether it has the geolocation as a gml:point

### getHeightExt

    public GphotoHeight getHeightExt()

  Returns the the height of the photo.

  Returns:
    the height of the photo

### setHeightExt

    public void setHeightExt(GphotoHeight heightExt)

  Sets the the height of the photo.

  Parameters:
    `heightExt` - the height of the photo or `null` to reset

### hasHeightExt

    public boolean hasHeightExt()

  Returns whether it has the the height of the photo.

  Returns:
    whether it has the the height of the photo

### getImageVersionExt

    public GphotoImageVersion getImageVersionExt()

  Returns the the version of the image bytes.

  Returns:
    the version of the image bytes

### setImageVersionExt

    public void setImageVersionExt(GphotoImageVersion imageVersionExt)

  Sets the the version of the image bytes.

  Parameters:
    `imageVersionExt` - the version of the image bytes or `null` to reset

### hasImageVersionExt

    public boolean hasImageVersionExt()

  Returns whether it has the the version of the image bytes.

  Returns:
    whether it has the the version of the image bytes

### getMediaGroup

    public MediaGroup getMediaGroup()

  Returns the mediarss group for media metadata.

  Specified by:
    `getMediaGroup` in interface `MediaData`
  Returns:
    mediarss group for media metadata

### setMediaGroup

    public void setMediaGroup(MediaGroup mediaGroup)

  Sets the mediarss group for media metadata.

  Parameters:
    `mediaGroup` - mediarss group for media metadata or `null` to reset

### hasMediaGroup

    public boolean hasMediaGroup()

  Returns whether it has the mediarss group for media metadata.

  Returns:
    whether it has the mediarss group for media metadata

### getOriginalVideo

    public GphotoOriginalVideo getOriginalVideo()

  Returns the the properties of the original video.

  Returns:
    the properties of the original video

### setOriginalVideo

    public void setOriginalVideo(GphotoOriginalVideo originalVideo)

  Sets the the properties of the original video.

  Parameters:
    `originalVideo` - the properties of the original video or `null` to reset

### hasOriginalVideo

    public boolean hasOriginalVideo()

  Returns whether it has the the properties of the original video.

  Returns:
    whether it has the the properties of the original video

### getPositionExt

    public GphotoPosition getPositionExt()

  Returns the position of the photo in its album.

  Returns:
    position of the photo in its album

### setPositionExt

    public void setPositionExt(GphotoPosition positionExt)

  Sets the position of the photo in its album.

  Parameters:
    `positionExt` - position of the photo in its album or `null` to reset

### hasPositionExt

    public boolean hasPositionExt()

  Returns whether it has the position of the photo in its album.

  Returns:
    whether it has the position of the photo in its album

### getRotationExt

    public GphotoRotation getRotationExt()

  Returns the the rotation of the photo in degrees.

  Returns:
    the rotation of the photo in degrees

### setRotationExt

    public void setRotationExt(GphotoRotation rotationExt)

  Sets the the rotation of the photo in degrees.

  Parameters:
    `rotationExt` - the rotation of the photo in degrees or `null` to reset

### hasRotationExt

    public boolean hasRotationExt()

  Returns whether it has the the rotation of the photo in degrees.

  Returns:
    whether it has the the rotation of the photo in degrees

### getSizeExt

    public GphotoSize getSizeExt()

  Returns the the size of the photo in bytes.

  Returns:
    the size of the photo in bytes

### setSizeExt

    public void setSizeExt(GphotoSize sizeExt)

  Sets the the size of the photo in bytes.

  Parameters:
    `sizeExt` - the size of the photo in bytes or `null` to reset

### hasSizeExt

    public boolean hasSizeExt()

  Returns whether it has the the size of the photo in bytes.

  Returns:
    whether it has the the size of the photo in bytes

### getStarredExt

    public GphotoStarred getStarredExt()

  Returns the if viewer starred the photo and total number of stars.

  Returns:
    if viewer starred the photo and total number of stars

### setStarredExt

    public void setStarredExt(GphotoStarred starredExt)

  Sets the if viewer starred the photo and total number of stars.

  Parameters:
    `starredExt` - if viewer starred the photo and total number of stars or `null` to reset

### hasStarredExt

    public boolean hasStarredExt()

  Returns whether it has the if viewer starred the photo and total number of stars.

  Returns:
    whether it has the if viewer starred the photo and total number of stars

### getStreamIdsExt

    public java.util.List<GphotoStreamId> getStreamIdsExt()

  Returns the the streamIds on this photo.

  Returns:
    the streamIds on this photo

### addStreamIdsExt

    public void addStreamIdsExt(GphotoStreamId streamIdsExt)

  Adds a new the streamIds on this photo.

  Parameters:
    `streamIdsExt` - the streamIds on this photo

### hasStreamIdsExt

    public boolean hasStreamIdsExt()

  Returns whether it has the the streamIds on this photo.

  Returns:
    whether it has the the streamIds on this photo

### getTimestampExt

    public GphotoTimestamp getTimestampExt()

  Returns the the time the photo was taken.

  Returns:
    the time the photo was taken

### setTimestampExt

    public void setTimestampExt(GphotoTimestamp timestampExt)

  Sets the the time the photo was taken.

  Parameters:
    `timestampExt` - the time the photo was taken or `null` to reset

### hasTimestampExt

    public boolean hasTimestampExt()

  Returns whether it has the the time the photo was taken.

  Returns:
    whether it has the the time the photo was taken

### getVersionExt

    public GphotoVersion getVersionExt()

  Returns the version of the photo metadata.

  Returns:
    version of the photo metadata

### setVersionExt

    public void setVersionExt(GphotoVersion versionExt)

  Sets the version of the photo metadata.

  Parameters:
    `versionExt` - version of the photo metadata or `null` to reset

### hasVersionExt

    public boolean hasVersionExt()

  Returns whether it has the version of the photo metadata.

  Returns:
    whether it has the version of the photo metadata

### getVideoStatusExt

    public GphotoVideoStatus getVideoStatusExt()

  Returns the the status of the video upload if this is a video.

  Returns:
    the status of the video upload if this is a video

### setVideoStatusExt

    public void setVideoStatusExt(GphotoVideoStatus videoStatusExt)

  Sets the the status of the video upload if this is a video.

  Parameters:
    `videoStatusExt` - the status of the video upload if this is a video or `null` to reset

### hasVideoStatusExt

    public boolean hasVideoStatusExt()

  Returns whether it has the the status of the video upload if this is a video.

  Returns:
    whether it has the the status of the video upload if this is a video

### getViewCountExt

    public GphotoViewCount getViewCountExt()

  Returns the the number of views for this image.

  Returns:
    the number of views for this image

### setViewCountExt

    public void setViewCountExt(GphotoViewCount viewCountExt)

  Sets the the number of views for this image.

  Parameters:
    `viewCountExt` - the number of views for this image or `null` to reset

### hasViewCountExt

    public boolean hasViewCountExt()

  Returns whether it has the the number of views for this image.

  Returns:
    whether it has the the number of views for this image

### getWidthExt

    public GphotoWidth getWidthExt()

  Returns the the width of the photo.

  Returns:
    the width of the photo

### setWidthExt

    public void setWidthExt(GphotoWidth widthExt)

  Sets the the width of the photo.

  Parameters:
    `widthExt` - the width of the photo or `null` to reset

### hasWidthExt

    public boolean hasWidthExt()

  Returns whether it has the the width of the photo.

  Returns:
    whether it has the the width of the photo

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFeed

    public PhotoFeed getFeed(java.lang.String... kinds)
                      throws java.io.IOException,
                             ServiceException

  Retrieve the photo feed and associated entries. The kinds parameter is a list of the type of associated entries to return. For example `PhotoFeed photoAndComments = photoEntry.getFeed(CommentEntry.KIND, TagEntry.KIND);` If no kind parameters are passed, the default of `CommentEntry.KIND` will be used.

  Parameters:
    `kinds` - the kinds of entries to retrieve, or empty to use the default.
  Returns:
    a feed of the photo and the requested kinds.
  Throws:
    `java.io.IOException`
    `ServiceException`
  See Also:
    `CommentEntry.KIND`, `TagEntry.KIND`

### getAlbumId

    public java.lang.String getAlbumId()

  Description copied from interface: `PhotoData`
  The id of the album the photo is on.

  Specified by:
    `getAlbumId` in interface `PhotoData`
  Returns:
    the gphoto:albumId of the photo.

### getAlbumAccess

    public java.lang.String getAlbumAccess()

  Specified by:
    `getAlbumAccess` in interface `PhotoData`
  Returns:
    the access of the album that contains this photo.

### getVideoStatus

    public java.lang.String getVideoStatus()

  Description copied from interface: `PhotoData`
  The video status in case the photo entry is a video.

  Specified by:
    `getVideoStatus` in interface `PhotoData`
  Returns:
    the gphoto:videostatus of the video/photo.

### getChecksum

    public java.lang.String getChecksum()

  Description copied from interface: `PhotoData`
  The checksum on the photo. This is another piece of client-provided information that will be stored on the server and returned to the client.

  Specified by:
    `getChecksum` in interface `PhotoData`
  Returns:
    the gphoto:checksum of the photo.

### getClient

    public java.lang.String getClient()

  Description copied from interface: `PhotoData`
  The client string stored on the photo. Clients can use this to provide additional information about the photo that they can use later.

  Specified by:
    `getClient` in interface `PhotoData`
  Returns:
    the gphoto:client of the photo.

### getCommentCount

    public java.lang.Integer getCommentCount()
                                      throws ServiceException

  Description copied from interface: `PhotoData`
  The number of comments on this photo.

  Specified by:
    `getCommentCount` in interface `PhotoData`
  Returns:
    the comment count on the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getCommentsEnabled

    public java.lang.Boolean getCommentsEnabled()
                                         throws ServiceException

  Description copied from interface: `PhotoData`
  Gets the status of the commenting preference on the photo. If comments are not enabled on the photo no comments may be sent.

  Specified by:
    `getCommentsEnabled` in interface `PhotoData`
  Returns:
    true if comments are enabled on the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getFeaturedDate

    public java.util.Date getFeaturedDate()

  Specified by:
    `getFeaturedDate` in interface `PhotoData`
  Returns:
    date that the photo was featured.

### getHeight

    public java.lang.Long getHeight()
                             throws ServiceException

  Description copied from interface: `PhotoData`
  The height of the photo in pixels. This is the height of the original image stored in the database, but not necessarily the height of the image returned by querying the image url (depending on image size).

  Specified by:
    `getHeight` in interface `PhotoData`
  Returns:
    the gphoto:height of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getPosition

    public java.lang.Float getPosition()
                                throws ServiceException

  Description copied from interface: `PhotoData`
  The position of the photo in the album. This can be used to order the photo based on where the user has placed it within the album.

  Specified by:
    `getPosition` in interface `PhotoData`
  Returns:
    the gphoto:position of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getRotation

    public java.lang.Integer getRotation()
                                  throws ServiceException

  Description copied from interface: `PhotoData`
  The rotation of the photo. This is only useful when downloading the original photo as the rotation is taken into account on thumbnails and the image is always provided in the right orientation.

  Specified by:
    `getRotation` in interface `PhotoData`
  Returns:
    the gphoto:rotation of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getSize

    public java.lang.Long getSize()
                           throws ServiceException

  Description copied from interface: `PhotoData`
  The size of the photo in bytes. Read only, calculated by the server.

  Specified by:
    `getSize` in interface `PhotoData`
  Returns:
    the gphoto:size of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getTimestamp

    public java.util.Date getTimestamp()
                                throws ServiceException

  Description copied from interface: `PhotoData`
  The time the photo was taken. Modifiable by the client.

  Specified by:
    `getTimestamp` in interface `PhotoData`
  Returns:
    the gphoto:timestamp of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getVersion

    public java.lang.Long getVersion()
                              throws ServiceException

  Description copied from interface: `PhotoData`
  The version of the image. This is the version of the image itself, and is changed whenever the image content is changed (such as by rotation).

  Specified by:
    `getVersion` in interface `PhotoData`
  Returns:
    the gphoto:version on the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### getViewCount

    public java.lang.Long getViewCount()

  Specified by:
    `getViewCount` in interface `PhotoData`
  Returns:
    the number of views for this photo.

### getWidth

    public java.lang.Long getWidth()
                            throws ServiceException

  Description copied from interface: `PhotoData`
  The width of the photo in pixels. This is the width of the original image stored in the database, but not necessarily the width of the image returned by querying the image url (depending on image size).

  Specified by:
    `getWidth` in interface `PhotoData`
  Returns:
    the gphoto:width of the photo.
  Throws:
    `ServiceException` - no longer, but used to.

### setAlbumId

    public void setAlbumId(java.lang.Long albumId)

  Description copied from interface: `PhotoData`
  Sets the id of the album the photo is in. If the albumid is changed the photo will be moved to the new album (as long as the provided albumid is valid). Set the albumId of the photo as a long, the album the photo is in.

  Specified by:
    `setAlbumId` in interface `PhotoData`

### setAlbumId

    public void setAlbumId(java.lang.String albumId)

  Description copied from interface: `PhotoData`
  Set the albumId of the photo as a string, the album the photo is in.

  Specified by:
    `setAlbumId` in interface `PhotoData`

### setAlbumAccess

    public void setAlbumAccess(java.lang.String access)

  Description copied from interface: `PhotoData`
  Set the access for the album that contains this photo.

  Specified by:
    `setAlbumAccess` in interface `PhotoData`
  Parameters:
    `access` - the access of the album.

### setVideoStatus

    public void setVideoStatus(java.lang.String videoStatus)

  Description copied from interface: `PhotoData`
  Set the video status of the photo entry.

  Specified by:
    `setVideoStatus` in interface `PhotoData`

### setChecksum

    public void setChecksum(java.lang.String checksum)

  Description copied from interface: `PhotoData`
  Set the checksum of the photo. Returned by the server, this is an opaque string and will not be used by the server.

  Specified by:
    `setChecksum` in interface `PhotoData`
  Parameters:
    `checksum` - the checksum on the photo, computed by a client.

### setClient

    public void setClient(java.lang.String client)

  Description copied from interface: `PhotoData`
  Set the client string on the photo.

  Specified by:
    `setClient` in interface `PhotoData`
  Parameters:
    `client` - the client that created the photo.

### setCommentCount

    public void setCommentCount(java.lang.Integer commentCount)

  Description copied from interface: `PhotoData`
  Set the number of comments on the photo. Used by the server, this field is calculated and cannot be modified by the client.

  Specified by:
    `setCommentCount` in interface `PhotoData`
  Parameters:
    `commentCount` - the number of comments on the photo.

### setCommentsEnabled

    public void setCommentsEnabled(java.lang.Boolean commentsEnabled)

  Description copied from interface: `PhotoData`
  Sets whether comments can be made on the photo. The client can change whether comments are allowed as long as they are authenticated as the owner of the photo.

  Specified by:
    `setCommentsEnabled` in interface `PhotoData`
  Parameters:
    `commentsEnabled` - true if comments are enabled in the photo.

### setFeaturedDate

    public void setFeaturedDate(java.util.Date featuredDate)

  Description copied from interface: `PhotoData`
  Sets the date that the photo was featured.

  Specified by:
    `setFeaturedDate` in interface `PhotoData`
  Parameters:
    `featuredDate` - the date that the photo was featured.

### setHeight

    public void setHeight(java.lang.Long height)

  Description copied from interface: `PhotoData`
  Set the height of the photo. Used by the server, this has no effect on the client.

  Specified by:
    `setHeight` in interface `PhotoData`
  Parameters:
    `height` - the height of the photo.

### setPosition

    public void setPosition(java.lang.Float position)

  Description copied from interface: `PhotoData`
  Set the position of the photo. This is the photo's position in the album it is in. This can be changed to place a photo between two other photos by choosing a position between the other two positions. Note that the server may change the positions to provide more space between photos if the limits of floating point rounding would cause errors, so the most recent position should be used before modifying a photo. Optimistic concurrency will catch this, however.

  Specified by:
    `setPosition` in interface `PhotoData`
  Parameters:
    `position` - the position of the photo in the album.

### setRotation

    public void setRotation(java.lang.Integer rotation)

  Description copied from interface: `PhotoData`
  Set the rotation in degrees of the photo. This can be used to rotate the photo on the server.

  Specified by:
    `setRotation` in interface `PhotoData`
  Parameters:
    `rotation` - the rotation of the photo.

### setSize

    public void setSize(java.lang.Long size)

  Description copied from interface: `PhotoData`
  Set the size of the photo. This is used on the server, setting this on the client will have no effect.

  Specified by:
    `setSize` in interface `PhotoData`
  Parameters:
    `size` - the size of the photo in bytes.

### setTimestamp

    public void setTimestamp(java.util.Date timestamp)

  Description copied from interface: `PhotoData`
  Set the timestamp on the photo. This is the time the photo itself was taken.

  Specified by:
    `setTimestamp` in interface `PhotoData`
  Parameters:
    `timestamp` - the timestamp on the photo.

### setVersion

    public void setVersion(java.lang.Long version)

  Description copied from interface: `PhotoData`
  Set the version of the photo. Used by the server to set the version, this is read only on the client.

  Specified by:
    `setVersion` in interface `PhotoData`
  Parameters:
    `version` - the version of the photo.

### setViewCount

    public void setViewCount(java.lang.Long viewCount)

  Description copied from interface: `PhotoData`
  Sets the view count for this photo.

  Specified by:
    `setViewCount` in interface `PhotoData`
  Parameters:
    `viewCount` - the number of views for this photo.

### setWidth

    public void setWidth(java.lang.Long width)

  Description copied from interface: `PhotoData`
  Set the width of the photo. Used by the server, this has no effect on the client.

  Specified by:
    `setWidth` in interface `PhotoData`
  Parameters:
    `width` - the width of the photo.

### getGeoLocation

    public Point getGeoLocation()

  Description copied from interface: `PointData`
  Gets the geo-location of the entity.

  Specified by:
    `getGeoLocation` in interface `PointData`
  Returns:
    a Point that contains the geo-coordinates (latitude and longitude).

### setGeoLocation

    public void setGeoLocation(java.lang.Double lat,
                               java.lang.Double lon)

  Description copied from interface: `PointData`
  Sets the geo-location of the entity based on the lat and long coordinates passed in. This will create a new Point object if none exists, otherwise it will copy the new coordinates into the existing object.

  Specified by:
    `setGeoLocation` in interface `PointData`
  Parameters:
    `lat` - The latitude coordinate, between -90 and 90 degrees.
    `lon` - The longitude coordinate, between -180 and 180 degrees.

### setGeoLocation

    public void setGeoLocation(Point point)

  Description copied from interface: `PointData`
  Sets the geo-location of the entity based on the Point extension. This will use the passed in extension as the geo location if none already exists, otherwise it will copy the given point's data into the existing point object.

  Specified by:
    `setGeoLocation` in interface `PointData`
  Parameters:
    `point` - A point containing the latitude and longitude coordinates.

### setGeoBoundingBox

    public void setGeoBoundingBox(Point lowerLeft,
                                  Point upperRight)

  Description copied from interface: `BoxData`
  Sets the bounding box based on two `Point` objects. If there is an existing Box on this object, the new points will be copied into the existing box rather than creating a new box.

  Specified by:
    `setGeoBoundingBox` in interface `BoxData`
  Parameters:
    `lowerLeft` - the lower left coordinate of the box.
    `upperRight` - the upper right coordinate of the box.

### setGeoBoundingBox

    public void setGeoBoundingBox(Box boundingBox)

  Description copied from interface: `BoxData`
  Sets the bounding box for this entity based on a `Box` extension. If there is an existing Box on this object, the new box will have its points copied into the existing box rather than using the passed-in box.

  Specified by:
    `setGeoBoundingBox` in interface `BoxData`
  Parameters:
    `boundingBox` - the box that bounds this entity.

### getGeoBoundingBox

    public Box getGeoBoundingBox()

  Description copied from interface: `BoxData`
  Gets the bounding box of this entity.

  Specified by:
    `getGeoBoundingBox` in interface `BoxData`
  Returns:
    a Box that contains the boundary for the content of this entity.

### clearPoint

    public void clearPoint()

  Description copied from interface: `PointData`
  Clears the point data and removes the extension point.

  Specified by:
    `clearPoint` in interface `PointData`

### clearGeoBoundingBox

    public void clearGeoBoundingBox()

  Description copied from interface: `BoxData`
  Clears the bounding box and removes the extension point.

  Specified by:
    `clearGeoBoundingBox` in interface `BoxData`

### addStreamId

    public void addStreamId(java.lang.String streamId)

  Description copied from interface: `PhotoData`
  Add an individual streamId to the photo. The streamid is an opaque string stored along with the photo and can be used to identify where a photo is from or used.

  Specified by:
    `addStreamId` in interface `PhotoData`

### getStreamIds

    public java.util.List<java.lang.String> getStreamIds()

  Description copied from interface: `PhotoData`
  Stream ids can be used to specify additional information about where a photo came from, or where it is being used. For example, a client may mark each photo they edit with a streamid so that the list of edited photos can be queried efficiently.

  Specified by:
    `getStreamIds` in interface `PhotoData`
  Returns:
    a list of streamIds associated with this photo.

### getMediaCategories

    public java.util.List<MediaCategory> getMediaCategories()

  Description copied from interface: `MediaData`
  Retrieve the list of media:category elements inside the media:group on this element. If either the media:group or media:category elements are missing then an empty list will be returned.

  Specified by:
    `getMediaCategories` in interface `MediaData`
  Returns:
    a list of media:category elements found on the element.

### getMediaContents

    public java.util.List<MediaContent> getMediaContents()

  Description copied from interface: `MediaData`
  Retrieve the list of media:content elements inside the media:group on this element. If either the media:group or media:content elements are missing then an empty list will be returned.

  Specified by:
    `getMediaContents` in interface `MediaData`
  Returns:
    a list of media:content elements found on the element.

### getMediaCredits

    public java.util.List<MediaCredit> getMediaCredits()

  Description copied from interface: `MediaData`
  Retrieve the list of media:credit elements inside the media:group on this element. If either the media:group or media:credit elements are missing then an empty list will be returned.

  Specified by:
    `getMediaCredits` in interface `MediaData`
  Returns:
    a list of media:credit elements found on this element.

### getMediaKeywords

    public MediaKeywords getMediaKeywords()

  Description copied from interface: `MediaData`
  Retrieve the list of media:keywords elements inside the media:group on this element. If either the media:group or media:keywords elements are missing then `null` will be returned.

  Specified by:
    `getMediaKeywords` in interface `MediaData`
  Returns:
    the media:keywords elements found on the element, or `null`.

### getMediaThumbnails

    public java.util.List<MediaThumbnail> getMediaThumbnails()

  Description copied from interface: `MediaData`
  Retrieve the list of media:thumbnail elements inside the media:group on this element. If either the media:group or media:thumbnail elements are missing then an empty list will be returned.

  Specified by:
    `getMediaThumbnails` in interface `MediaData`
  Returns:
    a list of media:thumbnail elements found on the element.

### setKeywords

    public void setKeywords(MediaKeywords keywords)

  Description copied from interface: `MediaData`
  Set the media keywords on this element to the given keywords. Will create the media:group element as needed.

  Specified by:
    `setKeywords` in interface `MediaData`

### isStarred

    public java.lang.Boolean isStarred()

  Description copied from interface: `PhotoData`
  If this photo is starred by current user.

  Specified by:
    `isStarred` in interface `PhotoData`
  Returns:
    if this photo is starred by current user.

### setStarred

    public void setStarred(java.lang.Boolean starred)

  Description copied from interface: `PhotoData`
  Sets if this photo is starred by current user.

  Specified by:
    `setStarred` in interface `PhotoData`
  Parameters:
    `starred` - If this photo is starred by current user.

### getTotalStars

    public java.lang.Integer getTotalStars()

  Description copied from interface: `PhotoData`
  The number of users who starred this photo.

  Specified by:
    `getTotalStars` in interface `PhotoData`
  Returns:
    the number of users who starred this photo.

### setTotalStars

    public void setTotalStars(java.lang.Integer totalStars)

  Description copied from interface: `PhotoData`
  Sets the number of users who starred this photo.

  Specified by:
    `setTotalStars` in interface `PhotoData`
  Parameters:
    `totalStars` - the number of users who starred this photo.